EDIT - bug #1753

error in server due to level2 cache
05/19/2010 04:22 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: server-maintenance Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description

2010-05-19 16:16:23,986 INFO [eu.etaxonomy.cdm.api.application.CdmApplicationUtils] - Resource dir
ectory: /opt/cdmserver/.cdmLibrary/writableResources

2010-05-19 16:16:30,574 ERROR [net.sf.ehcache.Cache] - Unable to set localhost. This prevents crea

tion of a GUID. Cause was: edit: edit
java.net .UnknownHostException: edit: edit

at java.net.InetAddress.getLocalHost (InetAddress. java:1353)

at net.sf.ehcache.Cache.<clinit> (Cache. java:95)

at net.sf.ehcache.config.ConfigurationHelper.createCache (ConfigurationHelper. java:291)

at net.sf.ehcache.config.ConfigurationHelper.createDefaultCache (ConfigurationHelper. java:2
41)

at net.sf.ehcache.CacheManager.configure (CacheManager.java:262)

at net.sf.ehcache.CacheManager.init (CacheManager. java:196)

at net.sf.ehcache.CacheManager.<init> (CacheManager.java:172)

at net.sf.ehcache.CacheManager.create (CacheManager. java:438)

at org.springframework.cache.ehcache.EhCacheManagerFactoryBean.afterPropertiesSet (EhCacheM
anagerFactoryBean. java:103)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.invokeInit
Methods (AbstractAutowireCapableBeanFactory. java:1460)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.initialize
Bean (AbstractAutowireCapableBeanFactory. java:1398)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBe
an (AbstractAutowireCapableBeanFactory.java:512)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean
(AbstractAutowireCapableBeanFactory. java:450)

at org.springframework.beans.factory.support.AbstractBeanFactory$l.getObject (AbstractBeanF
actory.java:290)

at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton (Def
aultSingletonBeanRegistry.java:222)

at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean (AbstractBeanFac
tory.java:287)

at org.springframework.beans.factory.support.AbstractBeanFactory.getBean (AbstractBeanFacto
ry.java:189)

at org.springframework.beans.factory.support.BeanDefinitionValueResolver.resolveReference (
BeanDefinitionValueResolver. java:322)

at org.springframework.beans.factory.support.BeanDefinitionValueResolver.resolveValueIfNec
essary (BeanDefinitionValueResolver. java:106)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.applyPrope
rtyValues (AbstractAutowireCapableBeanFactory. java:1305)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.populateBe
an (AbstractAutowireCapableBeanFactory.java:1067)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBe
an (AbstractAutowireCapableBeanFactory. java:511)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean
(AbstractAutowireCapableBeanFactory. java:450)

at org.springframework.beans.factory.support.AbstractBeanFactory$l.getObject (AbstractBeanF
actory.java:290)

at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton (Def
aultSingletonBeanRegistry.java:222)

at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean (AbstractBeanFac
tory.java:287)

at org.springframework.beans.factory.support.AbstractBeanFactory.getBean (AbstractBeanFacto

04/09/2024 1/3




ry.java:189)

at org.springframework.beans.factory.support.DefaultlistableBeanFactory.findAutowireCandid
ates (DefaultListableBeanFactory. java:820)

at org.springframework.beans.factory.support.DefaultListableBeanFactory.doResolveDependenc
y (DefaultListableBeanFactory. java:762)

at org.springframework.beans.factory.support.DefaultListableBeanFactory.resolveDependency (
DefaultListableBeanFactory. java:680)

at org.springframework.beans.factory.annotation.AutowiredAnnotationBeanPostProcessor$Autow
iredMethodElement.inject (AutowiredAnnotationBeanPostProcessor. java:556)

at org.springframework.beans.factory.annotation.InjectionMetadata.inject (InjectionMetadata
.Jjava:84)

at org.springframework.beans.factory.annotation.AutowiredAnnotationBeanPostProcessor.postP
rocessPropertyValues (AutowiredAnnotationBeanPostProcessor. java:280)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.populateBe
an (AbstractAutowireCapableBeanFactory.java:1055)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBe
an (AbstractAutowireCapableBeanFactory.java:511)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean
(AbstractAutowireCapableBeanFactory. java:450)

at org.springframework.beans.factory.support.AbstractBeanFactory$l.getObject (AbstractBeanF
actory.java:290)

at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton (Def
aultSingletonBeanRegistry.java:222)

at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean (AbstractBeanFac
tory.java:287)

at org.springframework.beans.factory.support.AbstractBeanFactory.getBean (AbstractBeanFacto
ry.java:189)

at org.springframework.beans.factory.support.DefaultListableBeanFactory.prelInstantiateSing
letons (DefaultListableBeanFactory. java:557)

at org.springframework.context.support.AbstractApplicationContext.finishBeanFactoryInitial
ization (AbstractApplicationContext.java:842)

at org.springframework.context.support.AbstractApplicationContext.refresh (AbstractApplicat
ionContext.java:416)

at org.springframework.web.context.ContextLoader.createWebApplicationContext (ContextLoader
.java:261)

at org.springframework.web.context.ContextLoader.initWebApplicationContext (ContextLoader. j
ava:192)

at org.springframework.web.context.ContextLoaderListener.contextInitialized (ContextLoaderL
istener.java:47)

at org.eclipse.jetty.server.handler.ContextHandler.startContext (ContextHandler. java:645)

at org.eclipse.jetty.servlet.ServletContextHandler.startContext (ServletContextHandler. java
:189)

at org.eclipse.jetty.webapp.WebAppContext.startContext (WebAppContext. java:978)

at org.eclipse.jetty.server.handler.ContextHandler.doStart (ContextHandler.java:586)

at org.eclipse.jetty.webapp.WebAppContext.doStart (WebAppContext.java:349)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:55)

at org.eclipse.jetty.server.handler.HandlerCollection.doStart (HandlerCollection. java:165)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.doStart (ContextHandlerCollect
ion.Jjava:162)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:55)

at org.eclipse.jetty.server.handler.HandlerWrapper.doStart (HandlerWrapper. java:92)

at org.eclipse.jetty.server.Server.doStart (Server. java:228)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:55)

at eu.etaxonomy.cdm.server.Bootloader.main (Bootloader.java:329)
2010-05-19 16:16:31.782:INFO:/diptera:Initializing Spring FrameworkServlet 'cdmrest'
2010-05-19 16:16:33,286 INFO [eu.etaxonomy.cdm.remote.config.DataSourceConfig] - using Jjndi dataso
urce 'jdbc/diptera’
2010-05-19 16:16:35.746:INFO:/cichorieae:Initializing Spring root WebApplicationContext
2010-05-19 16:16:40,402 INFO [eu.etaxonomy.cdm.remote.config.DataSourceConfig] - using Jjndi dataso
urce 'jdbc/cichorieae'
2010-05-19 16:16:53,710 WARN [eu.etaxonomy.cdm.strategy.cache.name.BacterialNameDefaultCacheStrate
gy] - BacterialNameDefaultCacheStrategy not yet really implemented. Its just a copy from Botanical
NameDefaultCacheStrategy right now !!
2010-05-19 16:17:09,778 INFO [eu.etaxonomy.cdm.database.PersistentTermInitializer] - PersistentTer
mInitializer.omit == false, initializing 35 term classes
2010-05-19 16:17:21,830 INFO [eu.etaxonomy.cdm.api.application.CdmApplicationUtils] - Resource dir
ectory: /opt/cdmserver/.cdmLibrary/writableResources
History

#1 - 02/16/2011 10:49 AM - Andreas Kohlbecker

- Category changed from cdmserver to cdmlib-remote

#2 - 07/27/2011 01:01 PM - Andreas Kohlbecker
- Target version changed from cdm_dataportal - Next Major Release to cdm-server RELEASE 3.0.7

#3 - 07/27/2011 02:19 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- Category changed from cdmlib-remote to server-maintenance

See also the following thread which is on the same issue http:/forums.atlassian.com/thread.jspa?messagelD=257247176

This problems only occurs on the production not on my local developer machine or on the development server.
| wrote a little test class to check the behaviour of InetAddress.getLocalHost() on the different machines:

import java.net.InetAddress;
import java.net.UnknownHostException;

public class InetAddressGetLocalHost {

/**
* @param args
*/
public static void main(String[] args) {
try {
InetAddress host = InetAddress.getLocalHost () ;
System.out.println ("host name: " + host.getHostName());
System.out.print ("IP: ");
byte b[] = host.getAddress();
for (int i = 0; i < b.length; i++) {
System.out.print (b[i] + ".");
}
System.out.println("");

} catch (UnknownHostException e) {

System.err.println(e.getMessage());
e.printStackTrace();

}
It throws an exception only on edit-producion server, so this issue is most probably an server configuration issue.

Thus | will change the component of this ticket.

#4 - 02/03/2017 10:02 AM - Andreas Kohlbecker
- Tags set to ehcache

- Description updated

#5 - 02/03/2017 10:02 AM - Andreas Kohlbecker

- Private changed from Yes to No

#6 - 02/03/2017 12:33 PM - Andreas Kohlbecker

- Status changed from In Progress to Worksforme

this is no longer a problem
